> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings for an app

> Submit updates to the settings of an application using a specific `appId`.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-templating.json put /settings/{id}
openapi: 3.0.1
info:
  title: Fusion Templating API
  description: >-
    This API lets you perform create, read, update, and delete (CRUD) operations
    on templates and zones, and retrieve and render templates for particular
    navigation states.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST.com}/api/templating
    description: Fusion
    variables:
      FUSION_HOST.com:
        default: ''
security: []
tags:
  - name: page-metadata-controller
    description: Endpoints with this tag modify page metadata.
  - name: render-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      render, create, read, update, and delete Fusion application templates that
      are published or in staging (unpublished).
  - name: template-settings-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete configuration information for the Fusion
      Templating service.
  - name: templates-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete Fusion application template information.
  - name: trigger-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      create, read, and update the Fusion application templates that are
      published or in staging (unpublished) without rendering.
  - name: zones-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      retrieve, create, read, update, and delete zone information (Fusion query
      profiles).
paths:
  /settings/{id}:
    parameters:
      - schema:
          type: string
          example: your-app-name:version
        name: id
        in: path
        required: true
        description: >-
          The version of the application that is sending the results. Because
          the application configuration can be changed, the version used for the
          query is helpful information if troubleshooting or investigation is
          necessary. The format is: "your-app-name:version".
      - schema:
          type: string
          example: your-app-name
        in: query
        name: context
        description: >-
          The context parameter retrieves templates for the specified
          application. The parameter format is `app:your-app-name`. Only the
          first application listed in the context is displayed even if a
          comma-delimited list is entered in the parameter.
    put:
      tags:
        - template-settings-controller
      summary: Update settings for an app
      description: >-
        Submit updates to the settings of an application using a specific
        `appId`.
      operationId: put-settings-by-applicationId
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/templateSettingsRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/templateSettingsResponse'
        '201':
          description: Created
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}
components:
  schemas:
    templateSettingsRequest:
      title: Template Settings Request
      x-stoplight:
        id: e84236f7f583a
      type: object
      description: ''
      properties:
        app:
          type: string
          description: The Fusion application name.
          example: your-app-name
        entityDirty:
          type: boolean
          description: >-
            Specifies the status of the entities requested. If `false`, the
            template is published. If `true`, this is the staging version of
            this template and it contains changes that have not yet been
            published.
        hierarchyFields:
          type: array
          x-stoplight:
            id: bzyhjw9l4iipv
          items:
            x-stoplight:
              id: xul5uqx0vqlif
            type: object
            properties:
              field:
                type: string
                x-stoplight:
                  id: t2mdcss1n49dp
                description: 'Hierarchical field name associated with the template. '
                example: product_description
              fieldName:
                type: string
                x-stoplight:
                  id: ztz4erkcbb8wx
                description: 'Hierarchical field name associated with the template. '
                example: product_description
              separator:
                type: string
                x-stoplight:
                  id: tbr8knjclk5um
                description: >-
                  The character that separates each hierarchical field specified
                  for the template.
                example: ;
        id:
          type: string
          description: >-
            The version of the application that is sending the results. Because
            the application configuration can be changed, the version used for
            the query is helpful information if troubleshooting or investigation
            is necessary. The format is: "your-app-name:version".
    templateSettingsResponse:
      title: Template Settings Response
      x-stoplight:
        id: e86236f7f5dd4
      type: object
      properties:
        app:
          type: string
          description: The Fusion application name.
          example: your-app-name
        hierarchyFields:
          type: array
          x-stoplight:
            id: 8s6zu5cdn252e
          items:
            x-stoplight:
              id: 7u260nqydn88y
            type: object
            properties:
              field:
                type: string
                x-stoplight:
                  id: 0wsl0l6xtfrhx
                description: 'Hierarchical field name associated with the template. '
                example: product_description
              separator:
                type: string
                x-stoplight:
                  id: 6c559rq1n9obp
                description: >-
                  The character that separates each hierarchical field specified
                  for the template.
                example: ;
        id:
          type: string
          description: >-
            The version of the application that is sending the results. Because
            the application configuration can be changed, the version used for
            the query is helpful information if troubleshooting or investigation
            is necessary. The format is: "your-app-name:version".
          example: your-app-name:version

````